@import url("https://fonts.googleapis.com/css2?family=Piazzolla:wght@200;400;900&display=swap");

:root {
  --primary-color: #92e3a9;
  --seconsary-color: #263238;
}
* {
  padding: 0;
  margin: 0;
  box-sizing: border-box;
}
html {
  font-size: 62.5%;
}
body {
  font-family: "Piazzolla", serif;
  height: 100vh;
  display: flex;
  flex-direction: column;
}
img {
  max-width: 100%;
}
.main_menu {
  background-color: var(--seconsary-color);
}
.navbar {
  color: #fff;
  background-color: VAR(--seconsary-color);
  padding: 2rem;
}
.navbar li {
  margin-left: 2rem;
}
.navbar a {
  color: #fff;
  font-size: 1.8rem;
}
.navbar a:hover {
  color: var(--primary-color);
}
.navbar-toggler {
  background-color: var(--primary-color);
}
.fa-snowflake {
  transition: all linear;
  animation: rot 2s linear infinite;
  color: var(--primary-color);
}

@keyframes rot {
  0% {
    transform: rotate(0deg);
  }
  100% {
    transform: rotate(360deg);
  }
}
.main_header_left,
.main_header_right {
  display: flex;
  height: 70rem;
  flex-direction: column;
  justify-content: center;
  align-items: flex-start;
}
.main_header_left p {
  font-size: 2rem;
}
.main_header_left h1 {
  font-size: 4rem;
  margin: 0.5rem 0 4rem 0;
  text-transform: capitalize;
}
.main_header_left h1 span {
  color: var(--primary-color);
}
.main_header_left button {
  outline: none;
  padding: 0.8rem 1.8rem;
  border-radius: 1rem;
  font-size: 1.6rem;
  background-color: var(--primary-color);
  border: none;
  text-transform: uppercase;
  box-shadow: 0px 8px 6px -6px #263238;
  cursor: pointer;
}
.main_header_left button:hover {
  box-shadow: 0px 8px 6px -6px var(--primary-color);
}
/* footer */
footer {
  background-color: var(--primary-color);
  width: 100%;
  height: 5rem;
  text-align: center;
  margin-top: auto;
}
footer p {
  margin: 0;
  color: #fff;
  font-size: 1.8rem;
  line-height: 5rem;
}
.main_header_right figure img {
  filter: drop-shadow(0 0.5rem 1rem rgba(0, 0, 0, 0.3));
}

.tempInfo {
  width: 80%;
  margin: auto;
  min-height: 20rem;
  background-color: var(--seconsary-color);
  border-radius: 1rem;
  font-family: "Roboto", sans-serif;
  color: #92e3a9;
}
.top_layer {
  width: 100%;
  height: 20%;
  background-color: #92e3a9;
  border-radius: 1rem 1rem 0 0;
  color: #fff;
  display: flex;
  justify-content: space-around;
}
.top_layer p {
  padding: 1rem;
}
.tempInfo p {
  font-size: 1.6rem;
}
.main_layer {
  width: 100%;
  height: 80%;
  display: flex;
  flex-direction: column;
}
/* .data-hide {
  visibility: hidden;
  transition: all 0.3s linear;
} */
.main_layer p {
  padding: 1rem;
}
.main_layer #city_name {
  font-size: 2.2rem;
  font-weight: 300;
  text-transform: capitalize;
  text-align: center;
}
.middle-layer {
  display: flex;
  justify-content: space-around;
}
.middle-layer p {
  font-size: 5rem;
}
.temp_form {
  position: relative;
  margin: 10rem auto;
  display: flex;
}
.temp_form input[type="text"] {
  width: 100%;
  padding: 2rem 5rem 2rem 2rem;
  outline: none;
  border-radius: 1rem;
  border: none;
  background-color: #263238;
  font-size: 1.6rem;
  color: #fff;
}
::placeholder {
  color: #fff;
}
#submitBtn {
  background-color: #92e3a9;
  outline: none;
  border-radius: 1rem;
  border: none;
  font-size: 2rem;
  padding: 1rem 2.8rem;
  cursor: pointer;
  position: absolute;
  right: 5px;
  top: 5px;
  z-index: 1;
}
#submitBtn:hover {
  background-color: rgb(119, 97, 65);
  color: #fff;
}
@media (max-width: 768px) {
  .main_header_left,
  .main_header_right {
    height: auto;
    margin: 5rem;
  }
  html {
    font-size: 55%;
  }
}
